package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.wholeestate.model.Activity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 活动表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface ActivityMapper extends BaseMapper<Activity> {

    /**
     * 根据 活动id 查询报名人数
     * @param activityId
     * @return
     */
    @Select("select count(*) from ta_activity_enroll where activity_id = #{activityId}")
    Integer signUpNumber(@Param("activityId") String activityId);

}
